Redmine - Defect #3856

Export issue to PDF - broken character encoding
2008-03-14 17:28 - Maxim KrusSina

Status: Closed Start date: 2008-03-14
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version:

Description

When exporting ticket to PDF, some national characters are broken. Probably bad support for UTF-8 or maybe PDF convertor
doesn't use appropriate font with full UTF-8 support.

Here is example:
aabccdd'eeéfghiijkimniodpgrssttuatvwxyyzz
AABCCDDEEEFGHIIJKLMNNOOPQRSSTTUUUVWXYYZZ

Related issues:

Has duplicate Redmine - Defect #985: Russian character Closed 2008-04-03
Has duplicate Redmine - Defect #1174: Thai Character Not Display Correctly Us... Closed 2008-05-05
Has duplicate Redmine - Defect #1563: PDF export in russian language Closed 2008-07-02
Is duplicate of Redmine - Defect #61: Broken character encoding in pdf export Closed

History

#1 - 2008-03-14 17:30 - Maxim Krusina
- File redmine-856.pdf added

And here is attached PDF with bad characters...

#2 - 2008-04-23 16:38 - Nikolay Solakov

I think | found something about this problem:

the fonts in the generated pdf file are Helvetica, Helvetica-Bold and Helvetica-Oblique

| don't have these fonts and the Acrobat Reader uses some arial fonts, but it seems they don't support full utf-8.

So, the result is broken characters (in my case Bulgarian).
JP, if there is a way to change the font in the pdf when exporting it, please try it.

Regards,
Nikolay

#3 - 2008-04-29 09:38 - Maxim Krusina

Problem is also in encoding, which is set to ANSI, but should be set to UTF-8. Also, it should be good idea to use OpenType fonts, because they are
platform-independent (I'm not sure how it's with OpenType on Linux).

#4 - 2008-08-04 15:42 - Michael Baikov

There is a new version of rfpdf based on other pdf encoder - http:/github.com/edwinmoss/rfpdf/tree/master
| got correct russian letters using it and FreeSans fonts in linux

#5 - 2008-08-06 15:06 - Thomas Lecavelier
There news about PDF generation.
1. Michael Baikov successfully upgrade Redmine with the latest rfpdf, see this thread

2. There's a new cool kid in the place: Prawn is a full ruby PDF generator. Easy usage, nice features (text + images and so on) and of course deal
great with UTF-8 and fonts.

Could be interesting to compare rfpdf and Prawn...

#6 - 2008-08-06 19:01 - Gregory Brown
http://github.com/edwinmoss/rfpdf/tree/master
http://www.redmine.org/boards/2/topics/show/1400
http://prawn.majesticseacreature.com/

Prawn can definitely handle the PDF output here, at least what | see when | click the PDF button on the bottom right. If someone wants to build a
Prawn based patch for Redmine, get in touch and I'll help with whatever you need.

#7 - 2008-08-07 09:09 - Michael Baikov

I will try to make a Prawn based patch.

#8 - 2008-08-07 10:12 - Michael Baikov

| checked several things. Prawn can be used there, but lacks certain features: bold/italic fonts are most important to make reports identical to those,
which created with rfpdf right now. | will add Prawn support to redmine, but i do not want to fix prawn as well :)

#9 - 2009-01-18 13:05 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Dup of #61.

#10 - 2009-12-29 18:41 - Nikolay Kotlyarov
+1 for this issue. Export PDF is broken for Russian language.
Way to reproduce:

Select "My account" on the top of this page and change language to Russian or Bulgarian.
Then just export any issue from this site to PDF.

Files

redmine-856.pdf 2.23 KB 2008-03-14 Maxim Krusina
https://www.redmine.org/issues/61
http://www.tcpdf.org

